2019-06-24 23:11 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002079NetSurf[All Projects] Generalpublic2015-03-10 11:00
ReporterHarriet Bazley 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformARMOSRISC OSOS Version5.19
Product Version3.1 
Target VersionFixed in Version3.0 
Summary0002079: Text area redraw
DescriptionWhen using Ctrl-X to delete a selected area of text in a text box, NetSurf can fail to redraw the following lines correctly as the text reflows.
Steps To ReproduceType the following text into the text box: "one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen seventeen eighteen nineteen twenty"
Select the words "three four" and delete. Observe the effect on the text at the beginning of the second line. (In my case, the word 'fifteen' now appears both at the end of one line and the beginning of the next.)
Forcing a redraw by dragging a window or menu over the text area reveals the true content.
Additional InformationSee also the uploaded screenshots.
TagsNo tags attached.
Fixed in CI build #1733
Reported in CI build #1727
URL of problem page
Attached Files
  • zip file icon new.zip (15,802 bytes) 2014-02-15 21:06

-Relationships
+Relationships

-Notes
John-Mark Bell

~0000244

John-Mark Bell (administrator)

This is not specific to RISC OS; it can be reproduced on GTK, too.
Michael Drake

~0000246

Michael Drake (administrator)

textarea_selection clear was optimised to redraw only the lines that got deselected. Code that deleted/replaced selections was relying on it to do a full redraw. Fixed to redraw correct area.
Vincent Sanders

~0000685

Vincent Sanders (administrator)

Confirmed fixed in 3.0 release
+Notes

-Issue History
Date Modified Username Field Change
2014-02-15 21:06 Harriet Bazley New Issue
2014-02-15 21:06 Harriet Bazley File Added: new.zip
2014-02-15 23:43 Vincent Sanders Assigned To => Steve Fryatt
2014-02-15 23:43 Vincent Sanders Status new => acknowledged
2014-02-15 23:43 Vincent Sanders Product Version 3.0 => 3.1
2014-02-15 23:43 Vincent Sanders Steps to Reproduce Updated View Revisions
2014-02-15 23:43 Vincent Sanders Additional Information Updated View Revisions
2014-02-16 14:11 John-Mark Bell Note Added: 0000244
2014-02-16 14:11 John-Mark Bell Assigned To Steve Fryatt => Michael Drake
2014-02-16 14:11 John-Mark Bell Category RISC OS-specific => General
2014-02-16 14:11 John-Mark Bell Steps to Reproduce Updated View Revisions
2014-02-16 14:11 John-Mark Bell Additional Information Updated View Revisions
2014-02-17 00:40 John-Mark Bell Status acknowledged => confirmed
2014-02-17 00:40 John-Mark Bell Steps to Reproduce Updated View Revisions
2014-02-17 00:40 John-Mark Bell Additional Information Updated View Revisions
2014-02-17 12:23 Michael Drake Fixed in CI build # => 1733
2014-02-17 12:23 Michael Drake Note Added: 0000246
2014-02-17 12:23 Michael Drake Status confirmed => resolved
2014-02-17 12:23 Michael Drake Resolution open => fixed
2014-02-17 12:23 Michael Drake Fixed in Version => 3.0
2015-03-10 11:00 Vincent Sanders Note Added: 0000685
2015-03-10 11:00 Vincent Sanders Status resolved => closed
+Issue History